=== effects/CMakeLists.txt ===
INSTALL (FILES 

automask.xml
boxblur.xml
brightness.xml
channelcopy.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
freeze.xml
gamma.xml
greyscale.xml
invert.xml
ladspa_declipper.xml
ladspa_equalizer.xml
ladspa_limiter.xml
ladspa_phaser.xml
ladspa_pitch_scale.xml
ladspa_pitch.xml
ladspa_rate_scale.xml
ladspa_reverb.xml
ladspa_room_reverb.xml
ladspa_vinyl.xml
mirror.xml
mute.xml
normalise.xml
pan_zoom.xml
obscure.xml
rotation.xml
sepia.xml
sox_bass.xml
sox_gain.xml
sox_phaser.xml
sox_band.xml
sox_echo.xml
sox_flanger.xml
sox_pitch.xml
sox_reverb.xml
sox_vibro.xml
sox_stretch.xml
threshold.xml
volume.xml
wave.xml
fadein.xml
fadeout.xml
frei0r_colordistance.xml
frei0r_squareblur.xml
frei0r_distort0r.xml
frei0r_balanc0r.xml
gain.xml
fade_from_black.xml
fade_to_black.xml

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)
