=== po/CMakeLists.txt ===
SUBDIRS(ca cs da de es fi fr he hr hu it nl pt_BR ru sl zh)
