=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,16 @@
 find_package(Nepomuk REQUIRED)
 
 include_directories (
-    ${QDBUS_INCLUDE_DIRS} 
-    ${CMAKE_SOURCE_DIR} 
-    ${CMAKE_BINARY_DIR} 
-    ${KDE4_INCLUDES}
-
-    ${CMAKE_SOURCE_DIR}/src/widgets
+    ${KDE4_INCLUDE_DIR}
+    ${KDE4_INCLUDE_DIR}/KDE
+    ${QT_INCLUDES}
     ${LIBMLT_INCLUDE_DIR}
     ${LIBMLTPLUS_INCLUDE_DIR}
+    ${QDBUS_INCLUDE_DIRS}
+    ${CMAKE_SOURCE_DIR}
+    ${CMAKE_BINARY_DIR}
+
+    ${CMAKE_SOURCE_DIR}/src/widgets
     ${NEPOMUK_INCLUDES}
 )
 
@@ -34,6 +36,7 @@
   widgets/configdisplay_ui.ui
   widgets/configsdl_ui.ui
   widgets/configcapture_ui.ui
+  widgets/configtranscode_ui.ui
   widgets/effectlist_ui.ui
   widgets/effectstack_ui.ui
   widgets/profiledialog_ui.ui
@@ -46,6 +49,7 @@
   widgets/colorval_ui.ui
   widgets/positionval_ui.ui
   widgets/titlewidget_ui.ui
+  widgets/unicodedialog_ui.ui
   widgets/timelinebuttons_ui.ui
   widgets/renderwidget_ui.ui
   widgets/saveprofile_ui.ui
@@ -66,11 +70,16 @@
   widgets/addtrack_ui.ui
   widgets/dvdwizardvob_ui.ui
   widgets/dvdwizardmenu_ui.ui
-  widgets/dvdwizardiso_ui.ui
   widgets/dvdwizardstatus_ui.ui
-)
- 
-set(kdenlive_SRCS 
+  widgets/dvdwizardchapters_ui.ui
+  widgets/missingclips_ui.ui
+  widgets/cliptranscode_ui.ui
+  widgets/geometryposition_ui.ui
+  widgets/templateclip_ui.ui
+  widgets/keyframeeditor_ui.ui
+)
+
+set(kdenlive_SRCS
   addclipcommand.cpp
   main.cpp
   mainwindow.cpp
@@ -111,6 +120,7 @@
   kdenlivesettingsdialog.cpp
   complexparameter.cpp
   titlewidget.cpp
+  unicodedialog.cpp
   graphicsscenerectmove.cpp
   effectslistwidget.cpp
   titledocument.cpp
@@ -153,6 +163,11 @@
   groupclipscommand.cpp
   splitaudiocommand.cpp
   changecliptypecommand.cpp
+  documentchecker.cpp
+  dvdwizardchapters.cpp
+  documentvalidator.cpp
+  cliptranscode.cpp
+  keyframeedit.cpp
 )
 
 add_definitions( ${KDE4_DEFINITIONS} )
@@ -168,7 +183,7 @@
 kde4_add_executable(kdenlive ${kdenlive_SRCS} ${kdenlive_UI})
 
 
-target_link_libraries(kdenlive 
+target_link_libraries(kdenlive
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
   ${KDE4_KNEWSTUFF2_LIBS}
@@ -176,6 +191,7 @@
   ${LIBMLT_LIBRARY}
   ${NEPOMUK_LIBRARIES}
   ${KDE4_KNOTIFYCONFIG_LIBRARY}
+  ${KDE4_KROSSUI_LIBS}
 )
 
 if (APPLE)
@@ -185,10 +201,10 @@
 
 install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
 install( FILES kdenliveui.rc kdenlive.notifyrc DESTINATION  ${DATA_INSTALL_DIR}/kdenlive )
-install (FILES kdenlivesettings.kcfg DESTINATION share/config.kcfg)
-install (FILES kdenlive.desktop DESTINATION share/applications/kde)
-install (FILES application-x-kdenlive.svgz video-mlt-playlist.svgz DESTINATION share/icons/oxygen/scalable/mimetypes)
-install( FILES kdenlive.knsrc kdenlive_render.knsrc kdenlive_mltprofiles.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )
+install (FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
+install (FILES kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install (FILES application-x-kdenlive.svgz video-mlt-playlist.svgz DESTINATION ${ICON_INSTALL_DIR}/oxygen/scalable/mimetypes)
+install( FILES kdenlive.knsrc kdenlive_render.knsrc kdenlive_mltprofiles.knsrc kdenlivetranscodingrc DESTINATION  ${CONFIG_INSTALL_DIR} )
 kde4_install_icons( ${ICON_INSTALL_DIR} )
