## kdenlive 0.7.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(kdenlive)
 
-SET(BASE_VERSION 0.7.5)
+SET(BASE_VERSION 0.7.7.1)
 
 OPTION(RELEASE_BUILD "Remove compilation date to version, use for stable releases (default off)" ON)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
