=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -49,8 +49,20 @@
 frei0r_distort0r.xml
 frei0r_balanc0r.xml
 frei0r_scale0tilt.xml
+frei0r_contrast0r.xml
+frei0r_brightness.xml
+frei0r_lenscorrection.xml
+frei0r_saturat0r.xml
+frei0r_vertigo.xml
+frei0r_curves.xml
+frei0r_levels.xml
+frei0r_three_point_balance.xml
+frei0r_tint0r.xml
+frei0r_threshold0r.xml
 gain.xml
 fade_from_black.xml
 fade_to_black.xml
+speed.xml
+vignette.xml
 
 DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)
