=== debian/changelog ===
kdenlive (0.7.7.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release (LP: #559147)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 09 Apr 2010 08:21:51 -0400

kdenlive (0.7.7-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - kdenlive replaces kdenlive-data (<< 0.7)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 17 Feb 2010 23:34:08 +0100

kdenlive (0.7.7-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Feb 2010 22:09:41 +0100

kdenlive (0.7.6+svn4305-1) unstable; urgency=low

  * New upstream svn snapshot.
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Feb 2010 19:11:20 +0100

kdenlive (0.7.6+svn4246-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - kdenlive replaces kdenlive-data (<< 0.7)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 04 Feb 2010 02:18:27 +0100

kdenlive (0.7.6+svn4246-1) unstable; urgency=low

  * New upstream svn snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 23 Jan 2010 14:46:02 +0100

kdenlive (0.7.6+svn4238-1) unstable; urgency=low

  * New upstream svn snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Jan 2010 20:54:26 +0100

kdenlive (0.7.6+svn4223-1) unstable; urgency=low

  * New upstream svn snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Jan 2010 12:57:10 +0100

kdenlive (0.7.6+svn4201-1) unstable; urgency=low

  * New upstream svn snapshot.
    - This should fix a FTBFS on armel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Jan 2010 19:32:41 +0100

kdenlive (0.7.6+svn4194-1) unstable; urgency=low

  * New upstream svn snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 03 Jan 2010 13:19:28 +0100

kdenlive (0.7.6+svn4144-1ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:27:37 +0100

kdenlive (0.7.6+svn4144-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - kdenlive replaces kdenlive-data (<< 0.7)
  * Rebuild for libmlt2 transition (LP: #498612)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 20 Dec 2009 03:03:57 +0100

kdenlive (0.7.6+svn4144-1) unstable; urgency=low

  * New upstream svn snapshot.
  * Fix spelling error in the long description of kdenlive-data.
    Closes: #557488
  * Remove obsolete debian/README.source.
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Nov 2009 20:19:31 +0100

kdenlive (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 09 Oct 2009 11:04:17 +0200

kdenlive (0.7.5+svn3995-1) unstable; urgency=low

  * New upstream svn snapshot.
  * Now it should build on all architectures against the right mlt version.
    Closes: #549340

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Oct 2009 10:12:58 +0200

kdenlive (0.7.5+svn3969-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Drop all merged patches.
    - Drop dpatch.
  * Apply patch from Martin Mazur <debian@teclabs.eu> to increase readibility
    of the long description. Thanks.
    Closes: #548435
  * Use dh_install with --list-missing.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 01 Oct 2009 11:31:36 +0200

kdenlive (0.7.5-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.
    - Add debian/README.source.
  * Wrap build dependency lines.
  * Add patch 01-spanish_translations_fixes, which fixes many spanish
    translations. Thanks to Margarita Manterola <marga@debian.org>.
    Closes: #538450
  * Add patch 02-switch_to_genisoimage, which switches kdenlive from mkisofs to
    genisoimage. Thanks to Didier Raboud <didier@raboud.com>.
    Closes: #547501

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Sep 2009 12:27:06 +0200

kdenlive (0.7.5-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #395276)
    - kdenlive replaces kdenlive-data (<< 0.7)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Jul 2009 20:30:34 +0200

kdenlive (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 01 Jul 2009 21:50:23 +0200

kdenlive (0.7.4+svn3592-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use kde.mk from pkg-kde-tools
  * kdenlive replaces kdenlive-data (<< 0.7) (LP: #366494)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Jun 2009 20:53:40 -0400

kdenlive (0.7.4+svn3592-1) unstable; urgency=low

  * New subversion snapshot of revision 3592.
    - This snapshot fixes a FTBFS on armel.
    - Drop kdenlive.{menu,xpm} and install both from upstream.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 19 Jun 2009 15:12:32 +0200

kdenlive (0.7.4-2) unstable; urgency=low

  * Fix conflicts against kdenlive from Marillat.
    Closes: #532086
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * We do not have to depend anymore on libmlt-data, this is done by melt now.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 19 Jun 2009 09:23:58 +0200

kdenlive (0.7.4-0ubuntu4) karmic; urgency=low

  * Fixed debian/control:
    - recommends dvdauthor

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 03 Jun 2009 15:03:27 +0200

kdenlive (0.7.4-1) unstable; urgency=low

  * New upstream release.
    - Bump dependency on libmlt-data to >= 0.4.2, because kdenlive 0.7.4 does
      not work properly with mlt 0.3.8.
  * Change dependency on inigo to melt, it has been renamed with the new mlt
    version.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 Jun 2009 18:15:09 +0200

kdenlive (0.7.4-0ubuntu3) karmic; urgency=low

  * Fixed debian/control:
    - changed build-depends minimum version to build against latest libmlt.
    - as this upload is due to naming changes in libmlt* packages,

