=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), pkg-config, cmake, kdelibs5-dev, libavc1394-dev,
 libmlt-dev, libmlt++-dev, libiec61883-dev, libavcodec-dev, libavformat-dev,
 libavdevice-dev, libavutil-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdenlive-data (= ${source:Version}), melt, ffmpeg
Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
Replaces: kdenlive-data (<< 0.7)
Description: a non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Conflicts: kdenlive (<= 0.7.2.1)
Description: a non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdenlive (= ${binary:Version})
Description: a non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.
