=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,11 @@
 frei0r_three_point_balance.xml
 frei0r_tint0r.xml
 frei0r_threshold0r.xml
+frei0r_c0rners.xml
+frei0r_defish0r.xml
+frei0r_glow.xml
+frei0r_pixeliz0r.xml
+frei0r_hueshift0r.xml
 gain.xml
 fade_from_black.xml
 fade_to_black.xml
