=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,19 @@
-
 add_subdirectory( widgets )
 add_subdirectory( mimetypes )
 
-find_package(Nepomuk REQUIRED)
+macro_optional_find_package(Nepomuk)
+
+if (Nepomuk_FOUND)
+    INCLUDE_DIRECTORIES(NEPOMUK_INCLUDES )
+    set( optional_libs ${NEPOMUK_LIBRARIES} )
+    add_definitions(-DNEPOMUK)
+endif (Nepomuk_FOUND)
+
+
+if (APPLE)
+  find_package(OpenGL)
+  set(QT_USE_QTOPENGL TRUE)
+endif (APPLE)
 
 include_directories (
     ${KDE4_INCLUDE_DIR}
@@ -15,14 +26,14 @@
     ${CMAKE_BINARY_DIR}
 
     ${CMAKE_SOURCE_DIR}/src/widgets
-    ${NEPOMUK_INCLUDES}
 )
 
 LINK_LIBRARIES(
 ${LIBMLT_LIBRARY}
 ${LIBMLTPLUS_LIBRARY}
-${NEPOMUK_LIBRARIES}
-)
+${optional_libs}
+)
+
 
 
 kde4_add_ui_files(kdenlive_UI
@@ -47,7 +58,6 @@
   widgets/wipeval_ui.ui
   widgets/boolval_ui.ui
   widgets/colorval_ui.ui
-  widgets/positionval_ui.ui
   widgets/titlewidget_ui.ui
   widgets/unicodedialog_ui.ui
   widgets/timelinebuttons_ui.ui
@@ -74,9 +84,11 @@
   widgets/dvdwizardchapters_ui.ui
   widgets/missingclips_ui.ui
   widgets/cliptranscode_ui.ui
-  widgets/geometryposition_ui.ui
   widgets/templateclip_ui.ui
   widgets/keyframeeditor_ui.ui
+  widgets/timecodedisplay_ui.ui
+  widgets/tracksconfigdialog_ui.ui
+  widgets/urlval_ui.ui
 )
 
 set(kdenlive_SRCS
@@ -140,7 +152,6 @@
   guide.cpp
   editguidecommand.cpp
   statusbarmessagelabel.cpp
-  regiongrabber.cpp
   editkeyframecommand.cpp
   clipdurationdialog.cpp
   managecapturesdialog.cpp
@@ -154,7 +165,6 @@
   insertspacecommand.cpp
   spacerdialog.cpp
   addtrackcommand.cpp
-  changetrackcommand.cpp
   movegroupcommand.cpp
   dvdwizardvob.cpp
   dvdwizardmenu.cpp
@@ -168,6 +178,18 @@
   documentvalidator.cpp
   cliptranscode.cpp
   keyframeedit.cpp
+  positionedit.cpp
+  trackdialog.cpp
+  subprojectitem.cpp
+  folderprojectitem.cpp
+  addclipcutcommand.cpp
+  editclipcutcommand.cpp
+  KoSliderCombo.cpp
+  kis_cubic_curve.cpp
+  kis_curve_widget.cpp
+  timecodedisplay.cpp
+  tracksconfigdialog.cpp
+  configtrackscommand.cpp
 )
 
 add_definitions( ${KDE4_DEFINITIONS} )
@@ -178,18 +200,27 @@
   set(kdenlive_SRCS jogshuttle.cpp ${kdenlive_SRCS})
 endif(NO_JOGSHUTTLE)
 
+if (APPLE)
+  set(kdenlive_SRCS videoglwidget.cpp ${kdenlive_SRCS})
+endif (APPLE)
+
 kde4_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc )
 QT4_ADD_DBUS_ADAPTOR(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
 kde4_add_executable(kdenlive ${kdenlive_SRCS} ${kdenlive_UI})
 
+if (${KDE_VERSION} VERSION_LESS 4.3.80)
+  set(KNEWSTUFF_LIBS ${KDE4_KNEWSTUFF2_LIBS})
+else (${KDE_VERSION} VERSION_LESS 4.3.80)
+  set(KNEWSTUFF_LIBS ${KDE4_KNEWSTUFF3_LIBS})
+endif (${KDE_VERSION} VERSION_LESS 4.3.80)
 
 target_link_libraries(kdenlive
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
-  ${KDE4_KNEWSTUFF2_LIBS}
+  ${KNEWSTUFF_LIBS}
   ${LIBMLTPLUS_LIBRARY}
   ${LIBMLT_LIBRARY}
-  ${NEPOMUK_LIBRARIES}
+  ${optional_libs}
   ${KDE4_KNOTIFYCONFIG_LIBRARY}
   ${KDE4_KROSSUI_LIBS}
 )
@@ -197,14 +228,16 @@
 if (APPLE)
   find_package(SDL REQUIRED)
   target_link_libraries(kdenlive ${SDL_LIBRARY})
+  target_link_libraries(kdenlive ${QT_QTOPENGL_LIBRARY})
+  target_link_libraries(kdenlive ${OPENGL_LIBRARIES})
 endif (APPLE)
 
 install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
 install( FILES kdenliveui.rc kdenlive.notifyrc DESTINATION  ${DATA_INSTALL_DIR}/kdenlive )
 install (FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
 install (FILES kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install (FILES application-x-kdenlive.svgz video-mlt-playlist.svgz DESTINATION ${ICON_INSTALL_DIR}/oxygen/scalable/mimetypes)
-install( FILES kdenlive.knsrc kdenlive_render.knsrc kdenlive_mltprofiles.knsrc kdenlivetranscodingrc DESTINATION  ${CONFIG_INSTALL_DIR} )
+kde4_install_icons(${ICON_INSTALL_DIR})
+install( FILES kdenlive_titles.knsrc kdenlive_wipes.knsrc kdenlive_renderprofiles.knsrc kdenlive_projectprofiles.knsrc kdenlivetranscodingrc DESTINATION  ${CONFIG_INSTALL_DIR} )
 kde4_install_icons( ${ICON_INSTALL_DIR} )
