=== debian/changelog ===
kdenlive (0.7.7.1+svn4571-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Fixes FTBFS on armel.
  * Bump Standards-Version to 3.9.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Jul 2010 20:05:14 +0200

kdenlive (0.7.7.1+svn4541-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Fixes incorrect recordmydesktop command line options.
      Closes: #584523
  * Remove not needed build dependencies libiec61883-dev and libavc1394-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 23 Jun 2010 21:42:38 +0200

kdenlive (0.7.7.1-2) unstable; urgency=low

  * Build against Qt 4.6.
    Closes: #574055

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Apr 2010 19:23:56 +0200

kdenlive (0.7.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Feb 2010 23:14:11 +0100
