=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: kdenlive
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), pkg-config, cmake, kdelibs5-dev, libavc1394-dev,
- libmlt-dev, libmlt++-dev, libiec61883-dev, libavcodec-dev, libavformat-dev,
- libavdevice-dev, libavutil-dev
+Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7), pkg-config, cmake, kdelibs5-dev,
+ libmlt-dev, libmlt++-dev, libavcodec-dev, libavformat-dev,
+ libavdevice-dev, libavutil-dev, libqt4-dev (>= 4:4.6)
 
 Package: kdenlive
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, kdenlive-data (= ${source:Version}), melt, ffmpeg
 Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
-Replaces: kdenlive-data (<< 0.7)
 Description: a non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
  more formats.
@@ -29,7 +27,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: kdenlive
-Conflicts: kdenlive (<= 0.7.2.1)
+Breaks: kdenlive (<= 0.7.2.1)
 Description: a non-linear video editor (data files)
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
  more formats.
