=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -35,39 +35,47 @@
 sox_band.xml
 sox_echo.xml
 sox_flanger.xml
-sox_pitch.xml
-sox_reverb.xml
-sox_vibro.xml
 sox_stretch.xml
 threshold.xml
 volume.xml
 wave.xml
 fadein.xml
 fadeout.xml
+frei0r_alpha0ps.xml
+frei0r_alphagrad.xml
+frei0r_alphaspot.xml
+frei0r_balanc0r.xml
+frei0r_brightness.xml
+frei0r_coloradj_rgb.xml
 frei0r_colordistance.xml
+frei0r_contrast0r.xml
+frei0r_c0rners.xml
+frei0r_curves.xml
+frei0r_defish0r.xml
+frei0r_distort0r.xml
+frei0r_glow.xml
+frei0r_hueshift0r.xml
+frei0r_lenscorrection.xml
+frei0r_levels.xml
+frei0r_pixeliz0r.xml
+frei0r_pr0be.xml
+frei0r_pr0file.xml
+frei0r_saturat0r.xml
+frei0r_scale0tilt.xml
+frei0r_select0r.xml
+frei0r_sopsat.xml
 frei0r_squareblur.xml
-frei0r_distort0r.xml
-frei0r_balanc0r.xml
-frei0r_scale0tilt.xml
-frei0r_contrast0r.xml
-frei0r_brightness.xml
-frei0r_lenscorrection.xml
-frei0r_saturat0r.xml
-frei0r_vertigo.xml
-frei0r_curves.xml
-frei0r_levels.xml
 frei0r_three_point_balance.xml
 frei0r_tint0r.xml
 frei0r_threshold0r.xml
-frei0r_c0rners.xml
-frei0r_defish0r.xml
-frei0r_glow.xml
-frei0r_pixeliz0r.xml
-frei0r_hueshift0r.xml
+frei0r_vertigo.xml
 gain.xml
 fade_from_black.xml
 fade_to_black.xml
 speed.xml
 vignette.xml
+swapchannels.xml
+audiobalance.xml
+audiopan.xml
 
 DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)
