=== po/CMakeLists.txt ===
SUBDIRS(ca cs da de el es fi fr gl he hr hu it nl pl pt pt_BR ru sl tr uk zh)
