=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
     add_definitions(-DNEPOMUK)
 endif (Nepomuk_FOUND)
 
+if (Q_WS_X11)
+    include_directories (${X11_Xlib_INCLUDE_PATH} ) 
+endif (Q_WS_X11)
 
 if (APPLE)
   find_package(OpenGL)
@@ -26,6 +29,7 @@
     ${CMAKE_BINARY_DIR}
 
     ${CMAKE_SOURCE_DIR}/src/widgets
+    ${CMAKE_SOURCE_DIR}/src/colorcorrection
 )
 
 LINK_LIBRARIES(
@@ -44,20 +48,19 @@
   widgets/slideshowclip_ui.ui
   widgets/configmisc_ui.ui
   widgets/configenv_ui.ui
-  widgets/configdisplay_ui.ui
+  widgets/configtimeline_ui.ui
   widgets/configsdl_ui.ui
   widgets/configcapture_ui.ui
   widgets/configtranscode_ui.ui
+  widgets/configproject_ui.ui
   widgets/effectlist_ui.ui
   widgets/effectstack_ui.ui
   widgets/profiledialog_ui.ui
   widgets/projectsettings_ui.ui
   widgets/keyframewidget_ui.ui
-  widgets/constval_ui.ui
   widgets/listval_ui.ui
   widgets/wipeval_ui.ui
   widgets/boolval_ui.ui
-  widgets/colorval_ui.ui
   widgets/titlewidget_ui.ui
   widgets/unicodedialog_ui.ui
   widgets/timelinebuttons_ui.ui
@@ -89,6 +92,12 @@
   widgets/timecodedisplay_ui.ui
   widgets/tracksconfigdialog_ui.ui
   widgets/urlval_ui.ui
+  widgets/vectorscope_ui.ui
+  widgets/colorplaneexport_ui.ui
+  widgets/waveform_ui.ui
+  widgets/rgbparade_ui.ui
+  widgets/histogram_ui.ui
+  widgets/geometrywidget_ui.ui
 )
 
 set(kdenlive_SRCS
@@ -190,15 +199,36 @@
   timecodedisplay.cpp
   tracksconfigdialog.cpp
   configtrackscommand.cpp
-)
+  abstractscopewidget.cpp
+  rebuildgroupcommand.cpp
+  histogram.cpp
+  rgbparade.cpp
+  vectorscope.cpp
+  waveform.cpp
+  colorplaneexport.cpp
+  colortools.cpp
+  colorcorrection/histogramgenerator.cpp
+  colorcorrection/rgbparadegenerator.cpp
+  colorcorrection/vectorscopegenerator.cpp
+  colorcorrection/waveformgenerator.cpp
+  razorgroupcommand.cpp
+  colorpickerwidget.cpp
+  choosecolorwidget.cpp
+  monitorscene.cpp
+  geometrywidget.cpp
+  doubleparameterwidget.cpp
+)
+
+
+add_subdirectory( ${CMAKE_SOURCE_DIR}/src/colorcorrection )
 
 add_definitions( ${KDE4_DEFINITIONS} )
 
-if(NO_JOGSHUTTLE)
+if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
   add_definitions(-DNO_JOGSHUTTLE)
-else(NO_JOGSHUTTLE)
+else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
   set(kdenlive_SRCS jogshuttle.cpp ${kdenlive_SRCS})
-endif(NO_JOGSHUTTLE)
+endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
 
 if (APPLE)
   set(kdenlive_SRCS videoglwidget.cpp ${kdenlive_SRCS})
@@ -225,6 +255,10 @@
   ${KDE4_KROSSUI_LIBS}
 )
 
+if (Q_WS_X11)
+  target_link_libraries(kdenlive ${X11_LIBRARIES})
+endif (Q_WS_X11)
+
 if (APPLE)
   find_package(SDL REQUIRED)
   target_link_libraries(kdenlive ${SDL_LIBRARY})
