=== debian/changelog ===
kdenlive (0.7.8-2) unstable; urgency=low

  * Wrap dependencies.
  * Remove patch 01-lower-down-req-mlt-version, since mlt 0.6.2 is in unstable.
    Closes: #606619

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 08 Feb 2011 18:26:40 +0100

kdenlive (0.7.8-1) unstable; urgency=low

  * New upstream release.
    - Add patch 01-lower-down-req-mlt-version.diff, which sets the required mlt
      version from 0.5.10 to 0.5.6.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 18 Sep 2010 10:13:25 +0200

kdenlive (0.7.7.1+svn4858-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Croatian translation is working now.
      Closes: #592755
    - Add new build dependency shared-desktop-ontologies and libx11-dev.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Sep 2010 20:37:34 +0200
