=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), pkg-config, cmake, kdelibs5-dev,
  libmlt-dev, libmlt++-dev, libavcodec-dev, libavformat-dev,
- libavdevice-dev, libavutil-dev, libqt4-dev (>= 4:4.6)
+ libavdevice-dev, libavutil-dev, libqt4-dev (>= 4:4.6),
+ shared-desktop-ontologies, libx11-dev
 
 Package: kdenlive
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kdenlive-data (= ${source:Version}), melt, ffmpeg
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ kdenlive-data (= ${source:Version}),
+ melt, ffmpeg
 Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
 Description: a non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
